Name: libnscd
Version: 1.0
Release: alt1

Summary: Library to ease applications to communicate with nscd
License: LGPL
Group: System/Libraries

Source: %name-%version.tar.bz2

%def_disable static

%package devel
Summary: Development files for the %name library
Group: Development/C
Requires: %name = %version-%release

%description
This library provides an interface for applications to NSCD (Name Service
Cache Daemon) and allows those applications, if they have the necessary
permissions, to flush the cache for special services.

%description devel
This package contains all necessary include files and libraries needed
to develop applications that needs to communicate with a running nscd.

%prep
%setup -q

%build
%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
autoreconf -fisv
%configure %{subst_enable static}
%make_build
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build -k check}}}

%install
%makeinstall
# Relocate shared library from %_libdir/ to /%_lib/.
%__mkdir_p $RPM_BUILD_ROOT/%_lib
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../%_lib/"$t" "$f"
done
%__mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/%_lib/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
/%_lib/*.so.*
%doc README NEWS

%files devel
%_includedir/*.h
%_libdir/*.so

%changelog
* Fri Nov 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt1
- Initial revision.
